package com.zd.system.api.laboratory;

public class CabinetV2Lock {

    /**
     * 柜锁记录Id
     */
    private Long lockLogId;

    /**
     * 硬件ID
     */
    private String hardwareId;

    /**
     * 摄像头IP 地址
     */
    private String ipAddress;

    /**
     * 柜锁bit ID
     */
    private String lockId;

    /**
     * 柜锁名称
     */
    private String lockName;

    /**
     * 机柜名称
     */
    private String cabinetName;

    /**
     * 采集器编号
     */
    private String relayCode;

    private boolean success = false;

    private String msg;

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public String getLockName() {
        return lockName;
    }

    public void setLockName(String lockName) {
        this.lockName = lockName;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getHardwareId() {
        return hardwareId;
    }

    public void setHardwareId(String hardwareId) {
        this.hardwareId = hardwareId;
    }

    public String getLockId() {
        return lockId;
    }

    public void setLockId(String lockId) {
        this.lockId = lockId;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getRelayCode() {
        return relayCode;
    }

    public void setRelayCode(String relayCode) {
        this.relayCode = relayCode;
    }

    public Long getLockLogId() {
        return lockLogId;
    }

    public void setLockLogId(Long lockLogId) {
        this.lockLogId = lockLogId;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
